import QuillBetterTable from 'quill-better-table'
console.log(QuillBetterTable.keyboardBindings)
const editorOption = {
    theme: 'snow',
    boundary: document.body,
    modules: {
        toolbar: { 
            container: [
                ['bold', 'italic', 'underline', 'strike'],
                ['blockquote', 'code-block'],
                [{
                    'header': 1
                }, {
                    'header': 2
                }],
                [{
                    'list': 'ordered'
                }, {
                    'list': 'bullet'
                }],
                [{
                    'script': 'sub'
                }, {
                    'script': 'super'
                }],
                [{
                    'indent': '-1'
                }, {
                    'indent': '+1'
                }],
                [{
                    'direction': 'rtl'
                }],
                [{
                    'size': ['small', false, 'large', 'huge']
                }],
                [{
                    'header': [1, 2, 3, 4, 5, 6, false]
                }],
                [{
                    'color': []
                }, {
                    'background': []
                }],
                [{
                    'font': []
                }],
                [{
                    'align': []
                }],
                ['clean'],
                ['link', 'image', 'video', 'table'],
                // [
                //     { table: 'TD' },
                //     { 'table-insert-row': 'TIR' },
                //     { 'table-insert-column': 'TIC' },
                //     { 'table-delete-row': 'TDR' },
                //     { 'table-delete-column': 'TDC' }
                // ],
            ],
            handlers: {
                table: function (val) {
                    debugger
                    let tableModule = this.quill.getModule('better-table')
                    tableModule.insertTable(3, 3)

                },
                'table-insert-row': function () {
                  this.quill.getModule('table').insertRowBelow()
                },
                'table-insert-column': function () {
                  this.quill.getModule('table').insertColumnRight()
                },
                'table-delete-row': function () {
                  this.quill.getModule('table').deleteRow()
                },
                'table-delete-column': function () {
                  this.quill.getModule('table').deleteColumn()
                }
            }
        },
        imageResize: { //调整大小组件。
            displayStyles: {
                backgroundColor: 'black',
                border: 'none',
                color: 'white'
            },
            modules: [ 'Resize', 'DisplaySize', 'Toolbar' ]
        },
        // table: false,  // disable table module
        'better-table': {
            operationMenu: {
                items: {
                    unmergeCells: {
                        text: 'Another unmerge cells name'
                    }
                }
            }
        },
        
    },
    keyboard: {
        bindings: QuillBetterTable.keyboardBindings
    },
    placeholder: 'Insert text here ...',
    readOnly: false,
}


export default editorOption