import QuillBetterTable from 'quill-better-table'
const editorOption = {
    theme: 'snow',
    boundary: document.body,
    modules: {
        toolbar: { 
            container: [
                ['bold', 'italic', 'underline', 'strike'],
                ['blockquote', 'code-block'],
                [{
                    'header': 1
                }, {
                    'header': 2
                }],
                [{
                    'list': 'ordered'
                }, {
                    'list': 'bullet'
                }],
                [{
                    'script': 'sub'
                }, {
                    'script': 'super'
                }],
                [{
                    'indent': '-1'
                }, {
                    'indent': '+1'
                }],
                [{
                    'direction': 'rtl'
                }],
                [{
                    'size': ['small', false, 'large', 'huge']
                }],
                [{
                    'header': [1, 2, 3, 4, 5, 6, false]
                }],
                [{
                    'color': []
                }, {
                    'background': []
                }],
                [{
                    'font': []
                }],
                [{
                    'align': []
                }],
                ['clean'],
                ['link', 'image', 'video', 'table'],
                // [
                    // {'table': 'TD'},
                    // {'table-insert-row': 'TIR'},
                    // {'table-insert-column': 'TIC'},
                    // {'table-delete-row': 'TDR'},
                    // {'table-delete-column': 'TDC'}
                // ]
            ],
            handlers: {
                table: function (val) {
                    let tableModule = this.quill.getModule('better-table')
                    tableModule.insertTable(3, 3)
                },
                'table-insert-row': function () {
                  this.quill.getModule('table').insertRowBelow()
                },
                'table-insert-column': function () {
                  this.quill.getModule('table').insertColumnRight()
                },
                'table-delete-row': function () {
                  this.quill.getModule('table').deleteRow()
                },
                'table-delete-column': function () {
                  this.quill.getModule('table').deleteColumn()
                }
            }
        },
        imageResize: { //调整大小组件。
            displayStyles: {
                backgroundColor: 'black',
                border: 'none',
                color: 'white'
            },
            modules: [ 'Resize', 'DisplaySize', 'Toolbar' ]
        },
        // table: false,  // disable table module
        'better-table': {
            operationMenu: {
                items: {
                    unmergeCells: {
                        text: 'Another unmerge cells name'
                    }
                }
            }
        },
        
    },
    keyboard: {
        bindings: QuillBetterTable.keyboardBindings
    },
    placeholder: '请输入内容 ...',
    readOnly: false,
}

const toolbarTooltips = {
    'font': '字体',
    'size': '字体大小',
    'header': '字体大小',
    'bold': '加粗',
    'italic': '斜体',
    'underline': '下划线',
    'strike': '删除线',
    'color' : '字体颜色',
    'background': '背景颜色',
    'script': {
        'sub' : 'Subscript',
        'super': 'Superscript'
    },
    'list': {
        'ordered':'Numbered list',
        'bullet': 'Bulleted list'
    },
    'indent': {
        '-1': '缩进-1',
        '+1':  '缩进+1'
    },
    'direction': {
        'rtl': 'Text direction (right to left | left to right)',
        'ltr': 'Text direction (left ro right | right to left)'
    },
    'align': '排列',
    'link': '插入超链接',
    'image': '插入图片',
    'video': '插入视频',
    'formula': 'Insert a formula',
    'clean': 'Clear format',
    'add-table': 'Add a new table',
    'table-row': 'Add a row to the selected table',
    'table-column': 'Add a column to the selected table',
    'remove-table': 'Remove selected table',
    'help': 'Show help',
    'table': '插入表格'
};

export {
    toolbarTooltips,
    editorOption
}