// import i18n from '../lang'

const $t = function() {
  return i18n.t.apply(i18n, arguments)
}
// console.log(i18n.t("valid.required"))
const validateForm = {
  // 手机验证 （element Form规则)
  mobile: function(rule, value, callback) {
    if (!value) {
      callback(new Error($t('valid.required', [$t('input.telephone')])))
    }
    var reg = /^[1][0-9][0-9]{9}$/
    if (value.length < 11 || !reg.test(value)) {
      callback(
        new Error($t('valid.formatError', [$t('input.telephone')]))
      )
    }
    callback()
  },
  getJiaMi: function(str) {
    if (!str || str.length <= 6) return
    var str1 = str.substring(0, 3)
    var str2 = str.substring(str.length - 3, str.length)
    var strbu = ''
    var n = str.length - 6
    for (var c = 0; c < n; c++) {
      strbu += '*'
    }
    return str1 + strbu + str2
  },
  // 手机验证 （element Form规则)
  email: function(rule, value, callback) {
    if (!value) {
      callback(new Error($t('valid.required', [$t('input.email')])))
    }
    var reg = /^\w+((.\w+)|(-\w+))@[A-Za-z0-9]+((.|-)[A-Za-z0-9]+).[A-Za-z0-9]+$/

    if (!reg.test(value)) {
      callback(new Error($t('valid.formatError', [$t('input.email')])))
    }
    callback()
  },
  idCard: function(rule, value, callback) {
    const reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/
    if (!value) {
      callback(new Error($t('valid.required', [$t('input.idCard')])))
    }
    if (!reg.test(value)) {
      callback(new Error($t('valid.formatError', [$t('input.idCard')])))
    }
    callback()
  },
  chinese: function(rule, value, callback) {
    const reg = /^[\u0391-\uFFE5]+$/
    if (!reg.test(value)) {
      callback(new Error($t('valid.formatError')))
    }
    callback(rule, value, callback)
  },
  numberAndLetter: function() {
    const reg = /^[0-9a-zA-Z]*$/
    if (!reg.test(value)) {
      callback(new Error($t('valid.formatError')))
    }
    callback()
  },
  digit: function(rule, value, callback) {
    let reg = /^[0-9]*$/
    if (!reg.test(value)) {
      callback(new Error("请输入整型数字"));
    }
    callback();
  }
}

export default validateForm
